<Project Sdk="Microsoft.NET.Sdk.Web">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <SignAssembly>false</SignAssembly>
    <UserSecretsId>354572d4-9e15-4099-807c-63a2d29ff9f2</UserSecretsId>
    <LangVersion>default</LangVersion>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <Copyright>武汉行藏科技有限公司版权所有</Copyright>
    <AssemblyVersion></AssemblyVersion>
    <FileVersion>1.0.1.001</FileVersion>
    <Product>医学影像处理软件</Product>
    <Version>1.0.1.001</Version>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
    <Platforms>AnyCPU;x64</Platforms>
    <AssemblyName></AssemblyName>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>.\IRaCIS.Core.API.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;</NoWarn>
    <OutputPath>..\bin\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <DocumentationFile>.\IRaCIS.Core.API.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;</NoWarn>
    <OutputPath>..\bin\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x86'">
    <DocumentationFile>.\IRaCIS.Core.API.xml</DocumentationFile>
    <NoWarn>1701;1702;1591;</NoWarn>
    <OutputPath>..\bin\</OutputPath>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>bin\Release\IRaCIS.Core.API.xml</DocumentationFile>
    <OutputPath>bin\Release\</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <DocumentationFile>bin\Release\IRaCIS.Core.API.xml</DocumentationFile>
    <OutputPath>bin\Release\</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x86'">
    <DocumentationFile>bin\Release\IRaCIS.Core.API.xml</DocumentationFile>
    <OutputPath>bin\Release\</OutputPath>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="wwwroot\**" />
    <EmbeddedResource Remove="UploadFile\**" />
    <EmbeddedResource Remove="wwwroot\**" />
 
  </ItemGroup>

  <ItemGroup>
    <Content Remove="web.config" />
    <Content Remove="wwwroot\swagger\ui\abp.js" />
    <Content Remove="wwwroot\swagger\ui\abp.swagger.js" />
    <Content Remove="wwwroot\swagger\ui\Index.html" />
  </ItemGroup>

  <ItemGroup>
    <None Remove=".preview.jpg" />
    <None Remove="GrpcToken.proto" />
    <None Remove="IRaCIS.Core.API.xml" />
    <None Remove="Protos\GrpcToken.proto" />
  </ItemGroup>

  <ItemGroup>
    <ApplicationDefinition Include="GrpcToken.proto" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="favicon.ico" />
  </ItemGroup>
<ItemGroup>
    <EmbeddedResource Include="wwwroot\swagger\ui\abp.js">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="wwwroot\swagger\ui\abp.swagger.js">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
    <EmbeddedResource Include="wwwroot\swagger\ui\Index.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Protobuf Include="Protos\GrpcToken.proto">
      <GrpcServices>Client</GrpcServices>
    </Protobuf>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AspNetCoreRateLimit" Version="4.0.2" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.0" />
    <PackageReference Include="EasyCaching.InMemory" Version="1.7.0" />
    <PackageReference Include="EasyCaching.Interceptor.Castle" Version="1.7.0" />
    <PackageReference Include="EntityFrameworkCore.Triggered.Extensions" Version="3.2.1" />
    <PackageReference Include="Google.Protobuf" Version="3.21.8" />
    <PackageReference Include="Grpc.Net.Client" Version="2.49.0" />
    <PackageReference Include="Grpc.Tools" Version="2.50.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Hangfire.AspNetCore" Version="1.8.5" />
    <PackageReference Include="Hangfire.InMemory" Version="0.5.1" />
    <PackageReference Include="Invio.Extensions.Authentication.JwtBearer" Version="2.0.1" />
    <PackageReference Include="LogDashboard" Version="1.4.8" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.10" />
    <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="6.0.1" />
    <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.17.0" />
    <PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="6.0.10" />
    <PackageReference Include="Quartz.Extensions.DependencyInjection" Version="3.6.2" />
    <PackageReference Include="Quartz.Extensions.Hosting" Version="3.6.2" />
    <PackageReference Include="Serilog.AspNetCore" Version="6.0.1" />
    <PackageReference Include="Serilog.Enrichers.ClientInfo" Version="1.2.0" />
    <PackageReference Include="Serilog.Sinks.Email" Version="2.4.0" />
    <PackageReference Include="Serilog.Sinks.File" Version="5.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUI" Version="6.4.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\IRaCIS.Core.Application\IRaCIS.Core.Application.csproj" />
    <ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
  </ItemGroup>

  <ItemGroup>
    <None Include="..\.editorconfig" Link=".editorconfig" />
  </ItemGroup>

  <ItemGroup>
    <Content Update="wwwroot\EmailTemplate\AdminResetUser.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\EmailConfigTest.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialSiteSurveyReject.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorExistJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserExistJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\AdminAddUser.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialDoctorFirstJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\SubjectEnrollConfirmOrPDProgress.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\UserOptCommon.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Update="wwwroot\EmailTemplate\TrialUserFirstJoin.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Properties\PublishProfiles\" />
  </ItemGroup>

  <ProjectExtensions><VisualStudio><UserProperties properties_4launchsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>


</Project>
